const app = getApp()
const util = require("../../../utils/util");
const api = require('../../../api/api.js');
const user = require('../../../utils/user.js');


import moment from 'moment'

Page({
  data: {
    state:'',
    contractUrl:'',
    signTime:'',
    flowId:'',
    
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // app.globalData.flowId='';
    this.getState();
  },
 
  onReachBottom() {
  
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow(e) {
    const options = wx.getEnterOptionsSync()
    // options数据在上方
    console.log('---options', options);
    // wx.showModal({
    //   title: '警告',
    //   content: JSON.stringify(options),
    // });
    // &&options.referrerInfo.extraData.faceResult.ErrorCode === 0
    if (options && options.referrerInfo&& options.referrerInfo.extraData && options.referrerInfo.extraData.faceResult&&app.globalData.isFirstFace) {
       //这里需要调用e签宝后端【个人实名刷脸结果核对】接口，查询刷脸结果
      //  刷脸完成，会跳到贵司自己的小程序，查询刷脸结果完成！
     this.getFaceResult();
    }
  },
  getState(){
    let userInfo = wx.getStorageSync('userInfo');
      util.request(api.getFaceCheckInfo, {
        workerNo:userInfo.workerNo
      }, 'GET').then(res=> {
        if (res.errno === 0) {
            this.setData({
             state:res.data.faceCheckState,
            //  contractUrl:res.data.contractUrl,
             signTime:res.data.faceCheckTime!=''?moment(res.data.faceCheckTime).format('YYYY-MM-DD HH:mm:ss'):'',
         
            });
           
        }
    }).catch(err=>{
    });
    },
    signContract(){
      let userInfo = wx.getStorageSync('userInfo');
      wx.showLoading({
        title: '加载中...',
      });
      util.request(api.workerIndividualFace, {
        workerNo:userInfo.workerNo
      }, 'GET').then(res=> {
        wx.hideLoading();
        if (res.errno === 0) {
            // this.getSignUrl(res.data);
            let faceToken=res.data.faceToken;
            app.globalData.flowId=res.data.flowId;
            app.globalData.isFirstFace=true;
            wx.navigateToMiniProgram({
              appId: 'wx1cf2708c2de46337',  // 公证签小程序APPID
              path: `/pages/face/index?bizToken=${faceToken}`, // 刷脸页面地址
            });
        }else{
          wx.showToast({
            title: res.errmsg,
            icon:'none'
          })
        }
    }).catch(err=>{
    });
    },
    getFaceResult(){
      let userInfo = wx.getStorageSync('userInfo');
     
        util.request(api.getFaceResult, {
          workerNo:userInfo.workerNo,
          flowId:app.globalData.flowId
        }, 'GET').then(res=> {
          console.log(res);
          // wx.showModal({
          //   title: '警告',
          //   content: JSON.stringify(res),
          // });
          if (res.errno === 0) {
               this.setData({
            
              state:res.data.faceCheckState,
             
               signTime:res.data.faceCheckTime!=''?moment(res.data.faceCheckTime).format('YYYY-MM-DD HH:mm:ss'):'',
             
              });
              
            
          }
      }).catch(err=>{
      });
      },
    getSignUrl(id){
    
        util.request(api.selectContractSignUrl, {
          procedureId:id
        }, 'GET').then(res=> {
          if (res.errno === 0) {
              
            app.globalData.webViewUrl=res.data;
         
            wx.navigateTo({
              url: '/pages/upgrade/webView/webView',
            });
          }else{
            wx.showToast({
              title: res.errmsg,
              icon:'none'
            })
          }
      }).catch(err=>{
      });
      },
    viewContract(){
      app.globalData.webViewUrl=this.data.contractUrl;
      wx.navigateTo({
        url: '/pages/upgrade/webView/webView',
      })
    },
  onHide: function () {

  },

  onUnload: function () {

  },
  

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
   
  },
  
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  
})